* {
  margin: 0;
  padding: 0;
  font-family: Arial, Helvetica, sans-serif;
}


.container {
  background-color: #f4f4f4;
  display: flex;
  position: fixed;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  justify-content: center;
  align-items: center;
  width: 40%;
  height: 100%;
  border-radius: 0px 10% 10% 0px;
  background-image: url(../assets/data/loginform.png);
}

.container h1 {
  font-size: 30px;
  text-align: center;
  position: fixed;
  top: 10%;
}

.container p {
  font-size: 36px;
  text-align: center;
  position: fixed;
  top: 30%;
}
.container .footer {
  color: lightblue;
  font-size: 24px;
  text-align: center;
  position: fixed;
  top: 90%;
}

.container .registerlink{
  text-decoration: none;
  color: lightblue;
}

.logo {
  position: fixed;
  width: 100px;
  margin: auto;
  display: block;
  top: 50%;
  border-radius: 50%;
}

.logo:hover{
  animation-name: logoanimation;
  animation-duration: 1s;
  animation-delay: 1ms;
}

body{
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background-image: url(../assets/data/wallpaper.png);
  background-size:cover;
}

h3{
  margin-top: 24px;
  font-size: 32px;
  color: black;
}

.loginform{
  position: fixed;
  right: 7%;
  top: 50%;
  transform: translateY(-50%);
  padding: 20px;
  width: 200px;
  border-radius: 10px;
  width: 500px;
  height: 400px;
  text-align: center;
  background-color: white;
  background-image: url(../assets/data/loginform.png);
}

.loginform .inputbox{
  margin-top: 10%;
}


.loginform .inputbox .password{
  width: 200px;
  height: 30px;
  border-top: 0px;
  border-right: 0px;
  border-left: 0px;
  border-radius: 5px;
  padding: 5px;
}


.loginform .inputbox .username{
  width: 200px;
  height: 30px;
  border-top: 0px;
  border-right: 0px;
  border-left: 0px;
  border-radius: 5px;
  padding: 5px;
}

.username:hover{
  border-color: aqua;
}
.password:hover{
  border-color: aqua;
}

.loginform .inputbox .sumbit{
  background-color: white;
  width: 25%;
  height: 30px;
  border: 2px solid white;
  border-radius: 5px;
}

.loginform .inputbox .sumbit:hover{
  animation-name: buttonanimation;
  animation-duration: 0.5s;
  animation-delay: 0ms;
  background-color: aqua;

}

.error {
  background: red;
  color: white;
  border-radius: 15px;
  width: 250px;
  height: 50px;
  text-align: center;
  font-size: 20px;
  margin-top: 15px;
  margin-left: 25%;
}



@keyframes logoanimation {
  33%{
    transform: scale(0deg);
  }
  66%{
    transform: scale(1.5);
  }
  99% {
    transform: scale(0deg);
  }
}

